Bug 430348 - Degraded V4L display when compiz is enabled on Intel 82G33/G31 Express Integrated Graphics Controller (rev 02)
Degraded V4L display when compiz is enabled on Intel 82G33/G31 Express Integ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-26 12:31 EST by Nicolas Scheibling
Modified: 2009-01-09 02:37 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:37:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"tvtime -v" output with Desktop Effects disabled (3.46 KB, text/plain)
2008-01-26 12:31 EST, Nicolas Scheibling
no flags Details
tvtime -v output with Desktop Effects Enabled (3.33 KB, text/plain)
2008-01-26 12:32 EST, Nicolas Scheibling
no flags Details
X server log (72.55 KB, text/plain)
2008-01-31 13:26 EST, Nicolas Scheibling
no flags Details
X server config file xorg.conf (730 bytes, text/plain)
2008-01-31 13:28 EST, Nicolas Scheibling
no flags Details
Xorg.0.log when strartx is started as root without the /etc/X11/xorg.conf (50.49 KB, text/plain)
2008-01-31 13:41 EST, Nicolas Scheibling
no flags Details

  None (edit)
Description Nicolas Scheibling 2008-01-26 12:31:07 EST
Description of problem:


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.3.0.0-40.fc8
compiz-0.6.2-3.fc8
kernel-2.6.23.1-42.fc8 or kernel-2.6.23.14-107.fc8 or kernel 2.6.24 from kernel.org

How reproducible:
Enable "Desktop Effects" 
Launch a V4L display application (tvtime, xawtv, vlc, kdetv, ...)

Steps to Reproduce:
1.Enable "Desktop Effects" 
2.Launch a V4L display application (tvtime, xawtv, vlc, kdetv, ...)
3.See how video display has a poor framerate.
  
Actual results:
FPS decrease and lot of frames are skipped when resizing video window or when
you get into fullscreen mode.
Displayed FPS can be less than 8 FPS.

Expected results:
video is displayed correctly

Additional info:
Desktop effects Enabled:
tvtime: average blit time: 72,89 ms, average render time: 1,98 ms
Desktop effects Disabled:
tvtime: average blit time: 0,55 ms, average render time: 1,81 ms

Here are 2 files attached:
tvtime_-v__compiz_disabled.txt  
tvtime_-v__compiz_enabled.txt

This files where generated using the command  
tvtime -v > tvtime_-v__compiz_???abled.txt 2>&1
tvtime was launched in window mode, then the "d" (debug info) touch was pressed
twice, after that tvtime was switched to f 'fullscreen mode' the "d" touch was
pressed 3 times, an then quit.
Comment 1 Nicolas Scheibling 2008-01-26 12:31:07 EST
Created attachment 293055 [details]
"tvtime -v"  output with Desktop Effects disabled
Comment 2 Nicolas Scheibling 2008-01-26 12:32:11 EST
Created attachment 293056 [details]
tvtime -v output with Desktop Effects Enabled
Comment 3 Matěj Cepl 2008-01-31 12:53:55 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Nicolas Scheibling 2008-01-31 13:26:21 EST
Created attachment 293618 [details]
X server log
Comment 5 Nicolas Scheibling 2008-01-31 13:28:42 EST
Created attachment 293621 [details]
X server config file xorg.conf
Comment 6 Nicolas Scheibling 2008-01-31 13:41:27 EST
Created attachment 293624 [details]
Xorg.0.log when strartx is started as root without the /etc/X11/xorg.conf
Comment 7 Bug Zapper 2008-11-26 04:34:51 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-01-09 02:37:35 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.